bdi4jade.reasoning

## Class AbstractReasoningStrategy

- java.lang.Object
- - bdi4jade.reasoning.AbstractReasoningStrategy

- All Implemented Interfaces:
    ReasoningStrategy
  Direct Known Subclasses:
    DefaultBeliefRevisionStrategy, DefaultDeliberationFunction, DefaultOptionGenerationFunction, DefaultPlanSelectionStrategy

      public abstract class AbstractReasoningStrategy
      extends java.lang.Object
      implements ReasoningStrategy

  This class provides an abstract implementation of the `ReasoningStrategy` interface. It provides an implementation of common methods of reasoning strategies, which can be reused.
  Author:
    Ingrid Nunes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Capability` | `capability`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReasoningStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCapability(Capability capability)` Sets the capability with which this strategy is associated with.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### capability

          protected Capability capability

  - ### Constructor Detail

    - #### AbstractReasoningStrategy

          public AbstractReasoningStrategy()

  - ### Method Detail

    - #### setCapability

          public void setCapability(Capability capability)

      Description copied from interface: `ReasoningStrategy`
      Sets the capability with which this strategy is associated with. If this strategy was previously associated with another capability, this methods throws an `IllegalArgumentException`.
      Specified by:
        `setCapability` in interface `ReasoningStrategy`
      Parameters:
        `capability` - the capability to set.
      See Also:
        `ReasoningStrategy.setCapability(bdi4jade.core.Capability)`